#
# spec file for package rst2html5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rst2html5
Version:        1.7.5
Release:        3.3
Summary:        RestructuredText to (X)HTML5
License:        MIT
Group:          Development/Languages/Python
Url:            https://marianoguerra.github.io/rst2html5/
Source:         https://pypi.python.org/packages/source/r/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-Genshi
BuildRequires:  python3-Pygments
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
Requires:       python3-Genshi
Requires:       python3-Pygments
Requires:       python3-docutils
BuildArch:      noarch

%description
This tool will generate newer, nicer, more readable markup and provide ways
to modify the output with extensions like nice css thanks to twitter's
bootstrap css or online presentations with deck.js

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes -s %{buildroot}

%check
python3 setup.py -q test

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst  CHANGELOG.rst  LICENSE
%{_bindir}/rst2html5
%{python3_sitelib}/%{name}.py
%dir %{python3_sitelib}/modules
%{python3_sitelib}/modules/*
%{python3_sitelib}/__pycache__/%{name}.cpython-*.pyc
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info

%changelog
* Wed May  4 2016 mpluskal@suse.com
- Install license, changelog and list of authors
* Sun May  1 2016 mpluskal@suse.com
- Update to 1.7.5
  * fixes deleted blank lines in <table><pre> during Genshi
    rendering
  * Testing does not depend on ordered tag attributes anymore
- Update dependencies
  * add beautifulsoup4 and nose
- Cleanup spec file
- Use only python3
* Tue Apr 14 2015 rneuhauser@suse.cz
- prefer python2 in openSUSE-13.1
* Tue Apr 14 2015 rneuhauser@suse.cz
- prefer python2 in openSUSE-12.3
* Tue Apr  7 2015 rneuhauser@suse.cz
- rst2html5-1.7.3
* Tue Mar 31 2015 rneuhauser@suse.cz
- rst2html5-1.6
